<button class="btn" (click)="onForm = !onForm" [ngStyle]="{'margin': '10px'}"
   [ngClass]="{'red': onForm, 'green': !onForm}">on/off form</button>
<div class="container" *ngIf="onForm">


   <h1>Animal Shelter Volunteer Form</h1>
   <form [formGroup]="volunteerForm" (ngSubmit)="onSubmit()">
      <h2>Personal Information</h2>
      <label>
         First Name:
         <input type="text" formControlName="name" placeholder="required">
      </label>
      <label>
         Phone Number:
         <input type="text" formControlName="phoneNumber" placeholder="required">
         <small *ngIf="volunteerForm.controls['phoneNumber'].errors?.pattern">number invalid</small>
      </label>
      <label>Select Preferred Location:</label>
      <select formControlName="preferredLocation" (change)="selectLocation($event)">
         <option></option>
      </select>
      <h2>Please select what animals you're comfortable working with, if any:</h2>
      <div formGroupName="animals" class="grouping">
         <label>Dogs
            <input type="checkbox" formControlName="dogs">
         </label>
         <label>Cats
            <input type="checkbox" formControlName="cats">
         </label>
         <label>Reptiles
            <input type="checkbox" formControlName="reptiles">
         </label>
      </div>
      <h2>Reference(s)</h2>
      <div class="grouping" formArrayName="references" *ngFor="let ref of references.controls;let i = index">
         <label>
            Reference Email:
            <input [formControlName]="i" type="text" placeholder="optional">
            <button type="button" id="remove_email" (click)="removeEmail(i)">X</button>
         </label>
      </div>
      <button type="button" (click)="addEmail()">Add Another Reference</button>
      <button id="apply_button" type="submit">Apply</button>
   </form>
</div>